: Class SpatialRelation

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class SpatialRelation

    java.lang.Object
      |
      +--SpatialRelation

class SpatialRelation
extends java.lang.Object

This class lists the binary spatial relations that two objects may have

Field Summary
`static int` | `ABOVE` | | | X | ___|___|___ | | | | ___|___|___ | | | | | |
`static int` | `BELOW` | | | | ___|___|___ | | | | ___|___|___ | | | X | | |
`static int` | `COCENTRIC` | | | | ___|___|___ | | | X | ___|___|___ | | | | | |
`static int` | `LEFT` | | | | ___|___|___ | | X | | ___|___|___ | | | | | |
`static int` | `LOWER_LEFT` | | | | ___|___|___ | | | | ___|___|___ | | X | | | |
`static int` | `LOWER_RIGHT` | | | | ___|___|___ | | | | ___|___|___ | | | | X | |
`static int` | `RIGHT` | | | | ___|___|___ | | | | X ___|___|___ | | | | | |
`static int` | `UPPER_LEFT` | | X | | ___|___|___ | | | | ___|___|___ | | | | | |
`static int` | `UPPER_RIGHT` | | | | X ___|___|___ | | | | ___|___|___ | | | | | |

Constructor Summary
`(package private)` | `SpatialRelation()`

Method Summary
`static int` | `cartesian2screen(int relation)` To String
`static int` | `getComplement(int relation)` To String
`static int` | `screen2cartesian(int relation)` To String
`static java.lang.String` | `toString(int relation)` To String

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### UPPER_LEFT

    public static final int UPPER_LEFT

  | | X | | ___|___|___ | | | | ___|___|___ | | | | | |

### ABOVE

    public static final int ABOVE

  | | | X | ___|___|___ | | | | ___|___|___ | | | | | |

### UPPER_RIGHT

    public static final int UPPER_RIGHT

  | | | | X ___|___|___ | | | | ___|___|___ | | | | | |

### LEFT

    public static final int LEFT

  | | | | ___|___|___ | | X | | ___|___|___ | | | | | |

### COCENTRIC

    public static final int COCENTRIC

  | | | | ___|___|___ | | | X | ___|___|___ | | | | | |

### RIGHT

    public static final int RIGHT

  | | | | ___|___|___ | | | | X ___|___|___ | | | | | |

### LOWER_LEFT

    public static final int LOWER_LEFT

  | | | | ___|___|___ | | | | ___|___|___ | | X | | | |

### BELOW

    public static final int BELOW

  | | | | ___|___|___ | | | | ___|___|___ | | | X | | |

### LOWER_RIGHT

    public static final int LOWER_RIGHT

  | | | | ___|___|___ | | | | ___|___|___ | | | | X | |

Constructor Detail

### SpatialRelation

    SpatialRelation()

Method Detail

### toString

    public static java.lang.String toString(int relation)

  To String

### cartesian2screen

    public static int cartesian2screen(int relation)

  To String

### screen2cartesian

    public static int screen2cartesian(int relation)

  To String

### getComplement

    public static int getComplement(int relation)

  To String

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD